<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author       pedro.garcia
@description  página donde se crea o modifica un cultivo asociado a un avalúo
@cu           CU-SA-AC-126

@param        idsComponentsToUpdateParam cadena con los ids de componentes que hay que actualizar cuando
    se haga la acción de esta página
@param        widgetVarNameParam valor del atributo widgetVar del dialogo donde se incluye esta página
-->

<h:panelGrid
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:p="http://primefaces.org/ui"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    width="100%"
    id="crearModificarDetalleAvaluoPG">


    <p:messages id="crearModificarCultivoMsgs" showDetail="false" />

    <h:form id="crearModificarDetalleAvaluoForm" >

        <h:panelGrid columns="2" width="100%">
            <h:panelGroup>
                <h:outputLabel value="Tipo:"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <h:inputText
                    id="tipoCultivoIT"
                    label="Tipo cultivo"
                    value="#{administracionDetallesAvaluo.cultivoNuevoModificado.tipo}"
                    required="true" />
                <p:message id="tcITMsg" for="tipoCultivoIT" display="icon" />
            </h:panelGrid>

            <h:panelGroup>
                <h:outputLabel value="Edad:"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <h:inputText
                    id="edadCultivoIT"
                    label="Edad cultivo"
                    value="#{administracionDetallesAvaluo.cultivoNuevoModificado.edad}"
                    required="true" >
                    <f:validateLongRange minimum="0" maximum="1000" />
                </h:inputText>
                <p:message id="ecITMsg" for="edadCultivoIT" display="icon" />
            </h:panelGrid>


            <h:panelGroup>
                <h:outputLabel value="Descripción:"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <h:inputTextarea
                    id="descripcionCultivoIT"
                    label="Descripción cultivo" cols="30"
                    value="#{administracionDetallesAvaluo.cultivoNuevoModificado.descripcion}"
                    required="true" >
                    <f:validateLength maximum="2000" />
                </h:inputTextarea>
                <p:message id="dcITMsg" for="descripcionCultivoIT" display="icon" />
            </h:panelGrid>


            <h:panelGroup>
                <h:outputLabel value="Aspecto técnico:"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <h:selectOneMenu
                    id="aspectoTecnicoCultivo" label="Aspecto técnico"
                    value="#{administracionDetallesAvaluo.cultivoNuevoModificado.aspectoTecnico}"
                    required="true">
                    <f:selectItems value="#{general.avaluoPredioCultAspeTecV}" />
                </h:selectOneMenu>
                <p:message id="atcITMsg" for="aspectoTecnicoCultivo" display="icon" />
            </h:panelGrid>


            <h:panelGroup>
                <h:outputLabel value="Unidad medida:"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <h:selectOneMenu
                    id="unidadMedidaCultivo" label="Unidad medida"
                    value="#{administracionDetallesAvaluo.cultivoNuevoModificado.unidadMedida}"
                    required="true">
                    <f:selectItems value="#{general.unidadMedidaV}" />
                </h:selectOneMenu>
                <p:message id="umcITMsg" for="unidadMedidaCultivo" display="icon" />
            </h:panelGrid>


            <h:panelGroup>
                <h:outputLabel value="Medida / cantidad:"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <h:inputText
                    id="cantidadCultivoIT"
                    label="Cantidad"
                    value="#{administracionDetallesAvaluo.cultivoNuevoModificado.cantidad}"
                    required="true" >
                    <f:validateLongRange minimum="1" maximum="100000000" />
                </h:inputText>
                <p:message id="ccITMsg" for="cantidadCultivoIT" display="icon" />
            </h:panelGrid>


            <h:panelGroup>
                <h:outputLabel value="Valor unidad:"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <h:inputText
                    id="valorUnidadCultivoIT"
                    label="Valor unidad"
                    value="#{administracionDetallesAvaluo.cultivoNuevoModificado.valorUnidad}"
                    required="true" >
                    <f:validateDoubleRange minimum="1.0" maximum="10000000" />
                    <f:converter converterId="converterMoneda" for="valorUnidadCultivoIT" />
                    <p:ajax event="blur"
                            onstart="aplicarFormatoMoneda('crearModificarDetalleAvaluoForm:valorUnidadCultivoIT',true);" />
                    <p:ajax event="focus"
                            onstart="aplicarFormatoMoneda('crearModificarDetalleAvaluoForm:valorUnidadCultivoIT',false);" />
                </h:inputText>
                <p:message id="vucITMsg" for="valorUnidadCultivoIT" display="icon" />
            </h:panelGrid>

        </h:panelGrid>

        <p:spacer height="20" width="0" />

        <p:outputPanel layout="block" style="text-align: center">
            <p:commandButton
                value="Aceptar"
                label="Crear el nuevo cultivo"
                icon="ui-icon-circle-check"
                action="#{administracionDetallesAvaluo.registrarModificarDetalleAvaluo}"
                update=":crearModificarCultivoMsgs, tcITMsg, ecITMsg, dcITMsg, atcITMsg, umcITMsg, ccITMsg, vucITMsg,
                #{idsComponentsToUpdateParam}"
                oncomplete="handleCompleteSIC(xhr, status, args, #{widgetVarNameParam}, false)"
                />
            <p:spacer width="20" height="0" />
            <p:commandButton
                value="Cancelar"
                label="Cancelar la operación"
                icon="ui-icon-circle-close"
                onclick="#{widgetVarNameParam}.hide();"
                />
        </p:outputPanel>


    </h:form>


</h:panelGrid>
